Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/ConnectionSetupView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/ConnectionSetupView.Designer.cs	(revision 3006)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/ConnectionSetupView.Designer.cs	(revision 3006)
@@ -0,0 +1,155 @@
+﻿namespace HeuristicLab.PluginInfrastructure.Advanced {
+  partial class ConnectionSetupView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.urlTextBox = new System.Windows.Forms.TextBox();
+      this.urlLabel = new System.Windows.Forms.Label();
+      this.userLabel = new System.Windows.Forms.Label();
+      this.userTextBox = new System.Windows.Forms.TextBox();
+      this.passwordLabel = new System.Windows.Forms.Label();
+      this.passwordTextBox = new System.Windows.Forms.TextBox();
+      this.applyButton = new System.Windows.Forms.Button();
+      this.savePasswordCheckbox = new System.Windows.Forms.CheckBox();
+      this.cancelButton = new System.Windows.Forms.Button();
+      this.SuspendLayout();
+      // 
+      // urlTextBox
+      // 
+      this.urlTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.urlTextBox.Location = new System.Drawing.Point(71, 3);
+      this.urlTextBox.Name = "urlTextBox";
+      this.urlTextBox.Size = new System.Drawing.Size(177, 20);
+      this.urlTextBox.TabIndex = 0;
+      // 
+      // urlLabel
+      // 
+      this.urlLabel.AutoSize = true;
+      this.urlLabel.Location = new System.Drawing.Point(3, 6);
+      this.urlLabel.Name = "urlLabel";
+      this.urlLabel.Size = new System.Drawing.Size(48, 13);
+      this.urlLabel.TabIndex = 1;
+      this.urlLabel.Text = "Address:";
+      // 
+      // userLabel
+      // 
+      this.userLabel.AutoSize = true;
+      this.userLabel.Location = new System.Drawing.Point(3, 32);
+      this.userLabel.Name = "userLabel";
+      this.userLabel.Size = new System.Drawing.Size(32, 13);
+      this.userLabel.TabIndex = 3;
+      this.userLabel.Text = "User:";
+      // 
+      // userTextBox
+      // 
+      this.userTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.userTextBox.Location = new System.Drawing.Point(71, 29);
+      this.userTextBox.Name = "userTextBox";
+      this.userTextBox.Size = new System.Drawing.Size(177, 20);
+      this.userTextBox.TabIndex = 2;
+      // 
+      // passwordLabel
+      // 
+      this.passwordLabel.AutoSize = true;
+      this.passwordLabel.Location = new System.Drawing.Point(3, 58);
+      this.passwordLabel.Name = "passwordLabel";
+      this.passwordLabel.Size = new System.Drawing.Size(56, 13);
+      this.passwordLabel.TabIndex = 5;
+      this.passwordLabel.Text = "Password:";
+      // 
+      // passwordTextBox
+      // 
+      this.passwordTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.passwordTextBox.Location = new System.Drawing.Point(71, 55);
+      this.passwordTextBox.Name = "passwordTextBox";
+      this.passwordTextBox.Size = new System.Drawing.Size(177, 20);
+      this.passwordTextBox.TabIndex = 4;
+      this.passwordTextBox.UseSystemPasswordChar = true;
+      // 
+      // applyButton
+      // 
+      this.applyButton.Location = new System.Drawing.Point(6, 104);
+      this.applyButton.Name = "applyButton";
+      this.applyButton.Size = new System.Drawing.Size(75, 23);
+      this.applyButton.TabIndex = 6;
+      this.applyButton.Text = "Apply";
+      this.applyButton.UseVisualStyleBackColor = true;
+      this.applyButton.Click += new System.EventHandler(this.applyButton_Click);
+      // 
+      // savePasswordCheckbox
+      // 
+      this.savePasswordCheckbox.AutoSize = true;
+      this.savePasswordCheckbox.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
+      this.savePasswordCheckbox.Location = new System.Drawing.Point(71, 81);
+      this.savePasswordCheckbox.Name = "savePasswordCheckbox";
+      this.savePasswordCheckbox.Size = new System.Drawing.Size(103, 17);
+      this.savePasswordCheckbox.TabIndex = 7;
+      this.savePasswordCheckbox.Text = "Save Password:";
+      this.savePasswordCheckbox.UseVisualStyleBackColor = true;
+      // 
+      // cancelButton
+      // 
+      this.cancelButton.Location = new System.Drawing.Point(87, 104);
+      this.cancelButton.Name = "cancelButton";
+      this.cancelButton.Size = new System.Drawing.Size(75, 23);
+      this.cancelButton.TabIndex = 8;
+      this.cancelButton.Text = "Cancel";
+      this.cancelButton.UseVisualStyleBackColor = true;
+      this.cancelButton.Click += new System.EventHandler(this.cancelButton_Click);
+      // 
+      // ConnectionSetupView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.cancelButton);
+      this.Controls.Add(this.savePasswordCheckbox);
+      this.Controls.Add(this.applyButton);
+      this.Controls.Add(this.passwordLabel);
+      this.Controls.Add(this.passwordTextBox);
+      this.Controls.Add(this.userLabel);
+      this.Controls.Add(this.userTextBox);
+      this.Controls.Add(this.urlLabel);
+      this.Controls.Add(this.urlTextBox);
+      this.Name = "ConnectionSetupView";
+      this.Size = new System.Drawing.Size(251, 132);
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.TextBox urlTextBox;
+    private System.Windows.Forms.Label urlLabel;
+    private System.Windows.Forms.Label userLabel;
+    private System.Windows.Forms.TextBox userTextBox;
+    private System.Windows.Forms.Label passwordLabel;
+    private System.Windows.Forms.TextBox passwordTextBox;
+    private System.Windows.Forms.Button applyButton;
+    private System.Windows.Forms.CheckBox savePasswordCheckbox;
+    private System.Windows.Forms.Button cancelButton;
+  }
+}
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/ConnectionSetupView.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/ConnectionSetupView.cs	(revision 3006)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/ConnectionSetupView.cs	(revision 3006)
@@ -0,0 +1,55 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Drawing;
+using System.Data;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+
+namespace HeuristicLab.PluginInfrastructure.Advanced {
+  internal partial class ConnectionSetupView : InstallationManagerControl {
+    private Form form;
+    public ConnectionSetupView() {
+      InitializeComponent();
+
+      urlTextBox.Text = HeuristicLab.PluginInfrastructure.Properties.Settings.Default.UpdateLocation;
+      userTextBox.Text = HeuristicLab.PluginInfrastructure.Properties.Settings.Default.UpdateLocationUserName;
+      passwordTextBox.Text = HeuristicLab.PluginInfrastructure.Properties.Settings.Default.UpdateLocationPassword;
+      savePasswordCheckbox.Checked = !string.IsNullOrEmpty(passwordTextBox.Text);
+    }
+
+    private void applyButton_Click(object sender, EventArgs e) {
+      HeuristicLab.PluginInfrastructure.Properties.Settings.Default.UpdateLocation = urlTextBox.Text;
+      if (!savePasswordCheckbox.Checked) {
+        // make sure we don't save username or password
+        HeuristicLab.PluginInfrastructure.Properties.Settings.Default.UpdateLocationUserName = string.Empty;
+        HeuristicLab.PluginInfrastructure.Properties.Settings.Default.UpdateLocationPassword = string.Empty;
+        // save
+        HeuristicLab.PluginInfrastructure.Properties.Settings.Default.Save();
+        // set user name and password for current process
+        HeuristicLab.PluginInfrastructure.Properties.Settings.Default.UpdateLocationUserName = userTextBox.Text;
+        HeuristicLab.PluginInfrastructure.Properties.Settings.Default.UpdateLocationPassword = passwordTextBox.Text;
+      } else {
+        HeuristicLab.PluginInfrastructure.Properties.Settings.Default.UpdateLocationUserName = userTextBox.Text;
+        HeuristicLab.PluginInfrastructure.Properties.Settings.Default.UpdateLocationPassword = passwordTextBox.Text;
+        HeuristicLab.PluginInfrastructure.Properties.Settings.Default.Save();
+      }
+      form.Close();
+    }
+
+    private void cancelButton_Click(object sender, EventArgs e) {
+      form.Close();
+    }
+
+    internal override void ShowInForm() {
+      if (this.form == null) {
+        form = new Form();
+        form.Name = this.Name;
+        this.Dock = DockStyle.Fill;
+        form.Controls.Add(this);
+      } 
+      form.Show();
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/AdminClientFactory.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/AdminClientFactory.cs	(revision 3006)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/AdminClientFactory.cs	(revision 3006)
@@ -0,0 +1,29 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.ServiceModel;
+using System.Security.Cryptography.X509Certificates;
+using System.Reflection;
+
+namespace HeuristicLab.PluginInfrastructure.Advanced.DeploymentService {
+  public static class AdminClientFactory {
+    private static byte[] serverCrtData;
+
+    static AdminClientFactory() {
+      var stream = Assembly.GetExecutingAssembly().GetManifestResourceStream("HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.servdev.cer");
+      serverCrtData = new byte[stream.Length];
+      stream.Read(serverCrtData, 0, serverCrtData.Length);
+    }
+
+    public static AdminClient CreateClient() {
+      var client = new AdminClient();
+      client.ClientCredentials.UserName.UserName = HeuristicLab.PluginInfrastructure.Properties.Settings.Default.UpdateLocationUserName;
+      client.ClientCredentials.UserName.Password = HeuristicLab.PluginInfrastructure.Properties.Settings.Default.UpdateLocationPassword;
+      client.Endpoint.Address = new EndpointAddress(HeuristicLab.PluginInfrastructure.Properties.Settings.Default.UpdateLocationAdministrationAddress);
+      client.ClientCredentials.ServiceCertificate.DefaultCertificate = new X509Certificate2(serverCrtData);
+      client.ClientCredentials.ServiceCertificate.Authentication.CertificateValidationMode = System.ServiceModel.Security.X509CertificateValidationMode.None;
+      return client;
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/RegenerateServiceClasses.cmd
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/RegenerateServiceClasses.cmd	(revision 3005)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/RegenerateServiceClasses.cmd	(revision 3006)
@@ -1,2 +1,2 @@
 ﻿#
-svcutil http://localhost:8731/Design_Time_Addresses/HeuristicLab.Services.Deployment/Update/mex http://localhost:8731/Design_Time_Addresses/HeuristicLab.Services.Deployment/Admin/mex  /language:C# /targetClientVersion:Version35 /out:DeploymentService /namespace:*,HeuristicLab.PluginInfrastructure.Advanced.DeploymentService /mergeConfig /config:../../app.config
+svcutil http://servdev.heuristiclab.com/Deployment/Update.svc/mex http://servdev.heuristiclab.com/Deployment/Admin.svc/mex  /language:C# /targetClientVersion:Version35 /out:DeploymentService /namespace:*,HeuristicLab.PluginInfrastructure.Advanced.DeploymentService /mergeConfig /config:../../app.config
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/UpdateClientFactory.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/UpdateClientFactory.cs	(revision 3006)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/UpdateClientFactory.cs	(revision 3006)
@@ -0,0 +1,29 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.ServiceModel;
+using System.Security.Cryptography.X509Certificates;
+using System.Reflection;
+
+namespace HeuristicLab.PluginInfrastructure.Advanced.DeploymentService {
+  public static class UpdateClientFactory {
+    private static byte[] serverCrtData;
+
+    static UpdateClientFactory() {
+      var stream = Assembly.GetExecutingAssembly().GetManifestResourceStream("HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.servdev.cer");
+      serverCrtData = new byte[stream.Length];
+      stream.Read(serverCrtData, 0, serverCrtData.Length);
+    }
+
+    public static UpdateClient CreateClient() {
+      var client = new UpdateClient();
+      client.ClientCredentials.UserName.UserName = HeuristicLab.PluginInfrastructure.Properties.Settings.Default.UpdateLocationUserName;
+      client.ClientCredentials.UserName.Password = HeuristicLab.PluginInfrastructure.Properties.Settings.Default.UpdateLocationPassword;
+      client.Endpoint.Address = new EndpointAddress(HeuristicLab.PluginInfrastructure.Properties.Settings.Default.UpdateLocation);
+      client.ClientCredentials.ServiceCertificate.DefaultCertificate = new X509Certificate2(serverCrtData);
+      client.ClientCredentials.ServiceCertificate.Authentication.CertificateValidationMode = System.ServiceModel.Security.X509CertificateValidationMode.None;
+      return client;
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManager.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManager.cs	(revision 3005)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManager.cs	(revision 3006)
@@ -29,4 +29,5 @@
 using System.Reflection;
 using ICSharpCode.SharpZipLib.Zip;
+using System.ServiceModel;
 
 namespace HeuristicLab.PluginInfrastructure.Advanced {
@@ -129,7 +130,14 @@
     /// <param name="connectionString"></param>
     /// <returns></returns>
-    public IEnumerable<IPluginDescription> GetRemotePluginList(string connectionString) {
-      using (var client = new DeploymentService.UpdateClient()) {
-        return client.GetPlugins();
+    public IEnumerable<IPluginDescription> GetRemotePluginList() {
+      var client = DeploymentService.UpdateClientFactory.CreateClient();
+      try {
+        List<IPluginDescription> plugins = new List<IPluginDescription>(client.GetPlugins());
+        client.Close();
+        return plugins;
+      }
+      catch (FaultException) {
+        client.Abort();
+        return new IPluginDescription[] { };
       }
     }
@@ -140,7 +148,14 @@
     /// <param name="connectionString"></param>
     /// <returns></returns>
-    public IEnumerable<DeploymentService.ProductDescription> GetRemoteProductList(string connectionString) {
-      using (var client = new DeploymentService.UpdateClient()) {
-        return client.GetProducts();
+    public IEnumerable<DeploymentService.ProductDescription> GetRemoteProductList() {
+      var client = DeploymentService.UpdateClientFactory.CreateClient();
+      try {
+        List<DeploymentService.ProductDescription> products = new List<DeploymentService.ProductDescription>(client.GetProducts());
+        client.Close();
+        return products;
+      }
+      catch (FaultException) {
+        client.Abort();
+        return new DeploymentService.ProductDescription[] { };
       }
     }
@@ -151,12 +166,19 @@
     /// <param name="connectionString"></param>
     /// <param name="pluginNames"></param>
-    public void Install(string connectionString, IEnumerable<IPluginDescription> plugins) {
-      using (var client = new DeploymentService.UpdateClient()) {
-        var args = new PluginInfrastructureCancelEventArgs(plugins.Select(x => x.Name + " " + x.Version));
-        OnPreInstall(args);
-        foreach (DeploymentService.PluginDescription plugin in plugins) {
-          byte[] zippedPackage = client.GetPlugin(plugin);
-          Unpack(zippedPackage);
-          OnInstalled(new PluginInfrastructureEventArgs(plugin));
+    public void Install(IEnumerable<IPluginDescription> plugins) {
+      var args = new PluginInfrastructureCancelEventArgs(plugins);
+      OnPreInstall(args);
+      if (!args.Cancel) {
+        var client = DeploymentService.UpdateClientFactory.CreateClient();
+        try {
+          foreach (DeploymentService.PluginDescription plugin in plugins) {
+            byte[] zippedPackage = client.GetPlugin(plugin);
+            Unpack(zippedPackage);
+            OnInstalled(new PluginInfrastructureEventArgs(plugin));
+          }
+          client.Close();
+        }
+        catch (FaultException) {
+          client.Abort();
         }
       }
@@ -167,9 +189,10 @@
     /// </summary>
     /// <param name="pluginNames"></param>
-    public void Update(string connectionString, IEnumerable<IPluginDescription> plugins) {
-      PluginInfrastructureCancelEventArgs args = new PluginInfrastructureCancelEventArgs(plugins.Select(x => x.Name + " " + x.Version));
+    public void Update(IEnumerable<IPluginDescription> plugins) {
+      PluginInfrastructureCancelEventArgs args = new PluginInfrastructureCancelEventArgs(plugins);
       OnPreUpdate(args);
       if (!args.Cancel) {
-        using (var client = new DeploymentService.UpdateClient()) {
+        var client = DeploymentService.UpdateClientFactory.CreateClient();
+        try {
           foreach (DeploymentService.PluginDescription plugin in plugins) {
             byte[] zippedPackage = client.GetPlugin(plugin);
@@ -177,4 +200,8 @@
             OnUpdated(new PluginInfrastructureEventArgs(plugin));
           }
+          client.Close();
+        }
+        catch (FaultException) {
+          client.Abort();
         }
       }
@@ -189,5 +216,5 @@
                       from file in pluginToDelete.Files
                       select Path.Combine(pluginDir, file.Name);
-      var args = new PluginInfrastructureCancelEventArgs(fileNames);
+      var args = new PluginInfrastructureCancelEventArgs(plugins);
       OnPreDelete(args);
       if (!args.Cancel) {
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerConsole.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerConsole.cs	(revision 3005)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerConsole.cs	(revision 3006)
@@ -52,5 +52,5 @@
     void installManager_PreUpdatePlugin(object sender, PluginInfrastructureCancelEventArgs e) {
       Console.WriteLine("Following plugins are updated:");
-      foreach (var info in e.Entities) {
+      foreach (var info in e.Plugins) {
         Console.WriteLine(e);
       }
@@ -67,6 +67,7 @@
     void installManager_PreRemovePlugin(object sender, PluginInfrastructureCancelEventArgs e) {
       Console.WriteLine("Following files are deleted:");
-      foreach (string fileName in e.Entities) {
-        Console.WriteLine(fileName);
+      foreach (var plugin in e.Plugins) {
+        foreach (var file in plugin.Files)
+          Console.WriteLine(file);
       }
       if (GetUserConfirmation()) e.Cancel = false;
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerControl.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerControl.Designer.cs	(revision 3006)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerControl.Designer.cs	(revision 3006)
@@ -0,0 +1,32 @@
+﻿namespace HeuristicLab.PluginInfrastructure.Advanced {
+  partial class InstallationManagerControl {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      components = new System.ComponentModel.Container();
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+    }
+
+    #endregion
+  }
+}
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerControl.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerControl.cs	(revision 3006)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerControl.cs	(revision 3006)
@@ -0,0 +1,25 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Drawing;
+using System.Data;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+
+namespace HeuristicLab.PluginInfrastructure.Advanced {
+  internal partial class InstallationManagerControl : UserControl {
+    public InstallationManagerControl() {
+      InitializeComponent();
+    }
+
+    internal virtual void ShowInForm() {
+      Form form = new Form();
+      form.Size = this.Size;
+      form.Text = this.Name;
+      this.Dock = DockStyle.Fill;
+      form.Controls.Add(this);
+      form.Show();
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerForm.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerForm.Designer.cs	(revision 3005)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerForm.Designer.cs	(revision 3006)
@@ -28,7 +28,4 @@
       this.toolStripStatusLabel = new System.Windows.Forms.ToolStripStatusLabel();
       this.removeButton = new System.Windows.Forms.Button();
-      this.serverUrlLabel = new System.Windows.Forms.Label();
-      this.serverUrlTextBox = new System.Windows.Forms.TextBox();
-      this.refreshButton = new System.Windows.Forms.Button();
       this.installButton = new System.Windows.Forms.Button();
       this.tabControl = new System.Windows.Forms.TabControl();
@@ -39,4 +36,6 @@
       this.logTabPage = new System.Windows.Forms.TabPage();
       this.logTextBox = new System.Windows.Forms.TextBox();
+      this.refreshButton = new System.Windows.Forms.Button();
+      this.editConnectionButton = new System.Windows.Forms.Button();
       this.statusStrip.SuspendLayout();
       this.tabControl.SuspendLayout();
@@ -81,30 +80,4 @@
       this.removeButton.Click += new System.EventHandler(this.removeButton_Click);
       // 
-      // serverUrlLabel
-      // 
-      this.serverUrlLabel.AutoSize = true;
-      this.serverUrlLabel.Location = new System.Drawing.Point(9, 11);
-      this.serverUrlLabel.Name = "serverUrlLabel";
-      this.serverUrlLabel.Size = new System.Drawing.Size(73, 13);
-      this.serverUrlLabel.TabIndex = 13;
-      this.serverUrlLabel.Text = "Plugin Server:";
-      // 
-      // serverUrlTextBox
-      // 
-      this.serverUrlTextBox.Location = new System.Drawing.Point(88, 8);
-      this.serverUrlTextBox.Name = "serverUrlTextBox";
-      this.serverUrlTextBox.Size = new System.Drawing.Size(264, 20);
-      this.serverUrlTextBox.TabIndex = 12;
-      // 
-      // refreshButton
-      // 
-      this.refreshButton.Location = new System.Drawing.Point(358, 6);
-      this.refreshButton.Name = "refreshButton";
-      this.refreshButton.Size = new System.Drawing.Size(75, 23);
-      this.refreshButton.TabIndex = 11;
-      this.refreshButton.Text = "Refresh";
-      this.refreshButton.UseVisualStyleBackColor = true;
-      this.refreshButton.Click += new System.EventHandler(this.refreshButton_Click);
-      // 
       // installButton
       // 
@@ -157,7 +130,6 @@
       // remotePluginsTabPage
       // 
-      this.remotePluginsTabPage.Controls.Add(this.serverUrlLabel);
+      this.remotePluginsTabPage.Controls.Add(this.editConnectionButton);
       this.remotePluginsTabPage.Controls.Add(this.remotePluginInstaller);
-      this.remotePluginsTabPage.Controls.Add(this.serverUrlTextBox);
       this.remotePluginsTabPage.Controls.Add(this.refreshButton);
       this.remotePluginsTabPage.Controls.Add(this.installButton);
@@ -204,4 +176,24 @@
       this.logTextBox.Size = new System.Drawing.Size(598, 586);
       this.logTextBox.TabIndex = 0;
+      // 
+      // refreshButton
+      // 
+      this.refreshButton.Location = new System.Drawing.Point(8, 6);
+      this.refreshButton.Name = "refreshButton";
+      this.refreshButton.Size = new System.Drawing.Size(75, 23);
+      this.refreshButton.TabIndex = 11;
+      this.refreshButton.Text = "Refresh";
+      this.refreshButton.UseVisualStyleBackColor = true;
+      this.refreshButton.Click += new System.EventHandler(this.refreshButton_Click);
+      // 
+      // editConnectionButton
+      // 
+      this.editConnectionButton.Location = new System.Drawing.Point(89, 6);
+      this.editConnectionButton.Name = "editConnectionButton";
+      this.editConnectionButton.Size = new System.Drawing.Size(108, 23);
+      this.editConnectionButton.TabIndex = 16;
+      this.editConnectionButton.Text = "Edit Connection...";
+      this.editConnectionButton.UseVisualStyleBackColor = true;
+      this.editConnectionButton.Click += new System.EventHandler(this.editConnectionButton_Click);
       // 
       // InstallationManagerForm
@@ -219,5 +211,4 @@
       this.localPluginsTabPage.ResumeLayout(false);
       this.remotePluginsTabPage.ResumeLayout(false);
-      this.remotePluginsTabPage.PerformLayout();
       this.logTabPage.ResumeLayout(false);
       this.logTabPage.PerformLayout();
@@ -232,7 +223,4 @@
     private System.Windows.Forms.ToolStripProgressBar toolStripProgressBar;
     private System.Windows.Forms.ToolStripStatusLabel toolStripStatusLabel;
-    private System.Windows.Forms.Label serverUrlLabel;
-    private System.Windows.Forms.TextBox serverUrlTextBox;
-    private System.Windows.Forms.Button refreshButton;
     private LocalPluginManager localPluginManager;
     private RemotePluginInstaller remotePluginInstaller;
@@ -244,4 +232,6 @@
     private System.Windows.Forms.TabPage logTabPage;
     private System.Windows.Forms.TextBox logTextBox;
+    private System.Windows.Forms.Button editConnectionButton;
+    private System.Windows.Forms.Button refreshButton;
   }
 }
